package cn.com.ty.lift.ud.sensitivewords.service;

import java.util.List;
import java.util.Set;

import com.baomidou.mybatisplus.extension.service.IService;

import cn.com.ty.lift.ud.sensitivewords.mapper.entity.SensitiveWords;
import cn.com.xwy.boot.web.dto.RestResponse;

/**
 * 敏感词汇 -Service
 * 
 * @author Xson
 * @date 2020-04-24
 */
public interface ISensitiveWordsService extends IService<SensitiveWords> {

    void updateStatuzByIds(List<Long> ids, Integer status);

    List<SensitiveWords> getAll();

    Set<String> getAllToSet();

    Set<String> changText(String text);

    Set<String> changText(String text, Integer matchType);

    RestResponse assemble(List<SensitiveWords> liftImportModels);
    
    List<SensitiveWords>getByKeyword(String keyword);
}
